metadata:
  name: licensing-summary-availability
  format: "Apertis Test Definition 1.0"
  image-types:
    fixedfunction: [ armhf, arm64, amd64 ]
    hmi:           [ armhf, amd64 ]
  image-deployment:
    - APT
    - OSTree
  type: functional
  exec-type: manual
  priority: high
  maintainer: "Apertis Project"
  description: "Test the availability of the licensing summary."

  expected:
    - "A file <image_name>.img.licenses.gz should be present showing the licensing information."
    - "The file should have the following json format:"
    -
      "{'image_licenses': [], 'packages': []}"

    - "As an example:"
    -
      "{'image_licenses': ['LGPL-2+', 'BSD-3-clause or LGPL-2+', 'LGPL-2', 'BSD-2-clause'], 'packages': []}"

run:
  steps:
    - "Navigate to the download folders where the image is published."
    - "Ensure there's a <image_name>.img.licenses.gz file matching each image."
    - "Download the <image_name>.img.licenses.gz file, decompress and open it in a text editor"
